
QGIS Application - Bug report #14707

Atlas legend not resizing correctly

2016-04-19 09:10 PM - Kate Callan

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22668

Description

I have a filtered legend in an atlas, anchored at the bottom right. On export the legend box is output at the same maximum size on all

maps, even when less legend items are shown, leaving a gap at the bottom of the box. When scrolling between atlas maps in the

Composer, the legend will increase in size on the first appropriate occasion, but then fails to decrease again in subsequent maps where

less legend items are shown.

Associated revisions

Revision 4f31ab65 - 2016-07-13 09:35 AM - Nyall Dawson

[composer] Fix setting legend content by map not resizing legend

When a legend was set to filter content by map, it wasn't

consistently being resized to fit the legend contents. This caused

issues for atlas exports where legends could grow but never

shrink.

Fix #14707

On behalf of Faunalia, sponsored by ENEL

Revision a960c02c - 2016-07-19 07:11 AM - Nyall Dawson

[composer] Fix setting legend content by map not resizing legend

When a legend was set to filter content by map, it wasn't

consistently being resized to fit the legend contents. This caused

issues for atlas exports where legends could grow but never

shrink.

Fix #14707

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 4f31ab656ef04c78d92fce2f1a68833043adb456)

Revision b9193426 - 2016-07-19 09:23 AM - Nyall Dawson
[composer] Fix setting legend content by map not resizing legend

When a legend was set to filter content by map, it wasn't

consistently being resized to fit the legend contents. This caused

issues for atlas exports where legends could grow but never

shrink.

Fix #14707

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 4f31ab656ef04c78d92fce2f1a68833043adb456)

Revision 62cdb0ce - 2016-07-19 11:36 PM - Nyall Dawson

[composer] Fix setting legend content by map not resizing legend

When a legend was set to filter content by map, it wasn't

consistently being resized to fit the legend contents. This caused

issues for atlas exports where legends could grow but never

shrink.

Fix #14707

On behalf of Faunalia, sponsored by ENEL

(cherry-picked from 4f31ab656ef04c78d92fce2f1a68833043adb456)

History

#1 - 2016-07-13 12:36 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4f31ab656ef04c78d92fce2f1a68833043adb456".
